
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 

    The method createAttributeNS raises a NAMESPACE_ERR if the specified qualified name 

    is malformed.

    

    Invoke the createAttributeNS method on this Document object with a valid value for 

    namespaceURI, and malformed qualifiedNames.  Check if the a NAMESPACE_ERR was thrown.


*
 *@freq weekly
*
 *@freq weekly
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core">http://www.w3.org/TR/DOM-Level-2-Core/core</a>
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-DocCrAttrNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-DocCrAttrNS</a>
*/
public class documentcreateattributeNS04 extends DOMTestCase {public documentcreateattributeNS04(String name){super(name);	}public static Test suite() {	return new TestSuite(documentcreateattributeNS04.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public documentcreateattributeNS04(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      Document doc;
      Attr attribute;
      String namespaceURI = "http://www.w3.org/DOM/Test/Level2";
      String qualifiedName;
      java.util.List qualifiedNames = new java.util.ArrayList();
      qualifiedNames.add("_:");
      qualifiedNames.add(":0a");
      qualifiedNames.add(":");
      qualifiedNames.add("a:b:c");
      qualifiedNames.add("_::a");
      
      doc = (Document) load("staffNS", false);
      for (int indexd313e55 = 0; indexd313e55 < qualifiedNames.size(); indexd313e55++) {
          qualifiedName = ( String) qualifiedNames.get(indexd313e55);
    
      {
         boolean success = false;
         try {
            attribute = doc.createAttributeNS(namespaceURI, qualifiedName);
          } catch (DOMException ex) {
            success = (ex.code == DOMException.NAMESPACE_ERR);
         }
         assertTrue("documentcreateattributeNS04,valid value for " +
                 "    namespaceURI, and malformed qualifiedNames", success);
      }
  }
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/documentcreateattributeNS04";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(documentcreateattributeNS04.class, args);
   }
}
