
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 

      The method setAttributeNS adds a new attribute and raises a INVALID_CHARACTER_ERR if 

      the specified qualified name contains an illegal character.

      Invoke the setAttributeNS method on this Element object with a valid value for 

      namespaceURI, and qualifiedNames that contain illegal characters.  Check if the an

      INVALID_CHARACTER_ERR was thrown.

    
*
 *@freq weekly
*
 *@freq weekly
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElSetAttrNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElSetAttrNS</a>
*/
public class elementsetattributens04 extends DOMTestCase {public elementsetattributens04(String name){super(name);	}public static Test suite() {	return new TestSuite(elementsetattributens04.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public elementsetattributens04(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      Document doc;
      Element element;
      String qualifiedName;
      java.util.List qualifiedNames = new java.util.ArrayList();
      qualifiedNames.add("/");
      qualifiedNames.add("//");
      qualifiedNames.add("\\");
      qualifiedNames.add(";");
      qualifiedNames.add("&");
      qualifiedNames.add("*");
      qualifiedNames.add("]]");
      qualifiedNames.add(">");
      qualifiedNames.add("<");
      
      doc = (Document) load("staffNS", true);
      element = doc.createElementNS("http://www.w3.org/DOM/Test/L2", "dom:elem");
      for (int indexd386e65 = 0; indexd386e65 < qualifiedNames.size(); indexd386e65++) {
          qualifiedName = ( String) qualifiedNames.get(indexd386e65);
    
      {
         boolean success = false;
         try {
            element.setAttributeNS("http://www.w3.org/DOM/Test/L2", qualifiedName, "test");
          } catch (DOMException ex) {
            success = (ex.code == DOMException.INVALID_CHARACTER_ERR);
         }
         assertTrue("elementsetattributens04", success);
      }
  }
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/elementsetattributens04";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(elementsetattributens04.class, args);
   }
}
