
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
      The method setAttributeNS adds a new attribute and raises a NAMESPACE_ERR 
      if the qualifiedName, or its prefix, is "xmlns" and the namespaceURI is 
      different from "http://www.w3.org/2000/xmlns/".
      
      Invoke the setAttributeNS method on a new Element object with namespaceURI that is 
      http://www.w3.org/DOMTest/level2 and a qualifiedName that has the prefix xmlns and once
      again with a qualifiedName that is xmlns.  
      Check if the NAMESPACE_ERR was thrown.
    
*
 *@freq weekly
*
 *@freq weekly
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElSetAttrNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElSetAttrNS</a>
*/
public class elementsetattributens08 extends DOMTestCase {public elementsetattributens08(String name){super(name);	}public static Test suite() {	return new TestSuite(elementsetattributens08.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public elementsetattributens08(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      Document doc;
      Element element;
      doc = (Document) load("staffNS", true);
      element = doc.createElementNS("http://www.w3.org/DOMTest/level2", "dom:elem");
      
      {
         boolean success = false;
         try {
            element.setAttributeNS("http://www.w3.org/DOMTest/level2", "xmlns", "test");
          } catch (DOMException ex) {
            success = (ex.code == DOMException.NAMESPACE_ERR);
         }
         assertTrue("elementsetattributens08_Err1", success);
      }

      {
         boolean success = false;
         try {
            element.setAttributeNS("http://www.w3.org/DOMTest/level2", "xmlns:root", "test");
          } catch (DOMException ex) {
            success = (ex.code == DOMException.NAMESPACE_ERR);
         }
         assertTrue("elementsetattributens08_Err2", success);
      }

   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/elementsetattributens08";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(elementsetattributens08.class, args);
   }
}
