
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 

    The "getAttributeNS(namespaceURI,localName)" method retrieves an

   attribute value by local name and NamespaceURI.

   

   Retrieve the first "emp:address" element.

   Create a new attribute with the "createAttributeNS()" method.

   Add the new attribute and value with the "setAttributeNS()" method.

   The value returned by the "getAttributeNS()" method should be  

   the string "NewValue" since the attribute had a specified value.


*
 *@freq weekly
*
 *@freq weekly
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElGetAttrNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-ElGetAttrNS</a>
*/
public class getAttributeNS04 extends DOMTestCase {public getAttributeNS04(String name){super(name);	}public static Test suite() {	return new TestSuite(getAttributeNS04.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public getAttributeNS04(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      String namespaceURI = "http://www.nist.gov";
      String localName = "blank";
      String qualifiedName = "emp:blank";
      Document doc;
      Attr newAttribute;
      NodeList elementList;
      Element testAddr;
      Attr districtAttr;
      String attrValue;
      doc = (Document) load("staffNS", true);
      newAttribute = doc.createAttributeNS(namespaceURI, qualifiedName);
      elementList = doc.getElementsByTagName("emp:address");
      testAddr = (Element) elementList.item(0);
      testAddr.setAttributeNS(namespaceURI, qualifiedName, "NewValue");
      attrValue = testAddr.getAttributeNS(namespaceURI, localName);
      assertEquals("throw_Equals", "NewValue", attrValue);
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/getAttributeNS04";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(getAttributeNS04.class, args);
   }
}
