
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.*;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 

    The "getNamedItemNS(namespaceURI,localName)" method for a 

   NamedNodeMap should return null

   if parameters do not identify any node in this map.

   

   Retrieve a list of elements with tag name "address".

   Access the second element from the list and get its attributes.

   Try to retrieve an attribute node with local name "domest"

   and namespace uri "http://www.usa.com" with

   method getNamedItemNS(namespaceURI,localName).

   This should return null because "domest" does not match any local names in this map.


*
 *@freq weekly
*
 *@freq weekly
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-getNamedItemNS">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-getNamedItemNS</a>
*/
public class getNamedItemNS02 extends DOMTestCase {public getNamedItemNS02(String name){super(name);	}public static Test suite() {	return new TestSuite(getNamedItemNS02.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public getNamedItemNS02(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      String namespaceURI = "http://www.usa.com";
      String localName = "domest";
      Document doc;
      NodeList elementList;
      Node testEmployee;
      NamedNodeMap attributes;
      Attr newAttr;
      doc = (Document) load("staffNS", false);
      elementList = doc.getElementsByTagName("address");
      testEmployee = elementList.item(1);
      attributes = testEmployee.getAttributes();
      newAttr = (Attr) attributes.getNamedItemNS(namespaceURI, localName);
      assertNull("throw_Null", newAttr);
      
   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/getNamedItemNS02";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(getNamedItemNS02.class, args);
   }
}
