
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.Document;
import org.w3c.dom.Node;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 

    The "feature" parameter in the

    isSupported(feature,version)" method is the name

    of the feature and the version is the version number of the

    feature to test.   XXX is NOT a legal value for the feature parameter.

    The method should return "false" since XXX is not a valid feature.

    

    Retrieve the root node of the DOM document by invoking 

    the "getDocumentElement()" method.   This should create a

    node object on which the "isSupported(feature,version)"

    method is invoked with "feature" equal to "XXX" and version to "1.0".

    The method should return a boolean "false" since XXX is not a valid feature.

* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#Level-2-Core-Node-supports">http://www.w3.org/TR/DOM-Level-2-Core/core#Level-2-Core-Node-supports</a>
*/

/**
 *
 * @ignore true
*/
public class isSupported01 extends DOMTestCase {public isSupported01(String name){super(name);	}public static Test suite() {	return new TestSuite(isSupported01.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public isSupported01(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      Document doc;
      Node rootNode;
      boolean state;
      doc = (Document) load("staff", false);
      rootNode = doc.getDocumentElement();
      state = rootNode.isSupported("XXX", "1.0");
      assertFalse("throw_False", state);

   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/isSupported01";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(isSupported01.class, args);
   }
}
