
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.Document;
import org.w3c.dom.ProcessingInstruction;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 

    The method "isSupported(feature,version)" Tests whether the DOM implementation 

    implements a specific feature and that feature is supported by this node. 

    

    Call the isSupported method specifying bad values for feature and version on a new 

    Processing Instruction node.  Check if the value returned from this method value was false.

* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#Level-2-Core-Node-supports">http://www.w3.org/TR/DOM-Level-2-Core/core#Level-2-Core-Node-supports</a>
*/

/**
 *
 * @ignore true
*/
public class nodeissupported05 extends DOMTestCase {public nodeissupported05(String name){super(name);	}public static Test suite() {	return new TestSuite(nodeissupported05.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public nodeissupported05(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      Document doc;
      ProcessingInstruction pi;
      boolean success;
      doc = (Document) load("staffNS", false);
      pi = doc.createProcessingInstruction("PITarget", "PIData");
      success = pi.isSupported("-", "+");
      assertFalse("nodeissupported05", success);

   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/nodeissupported05";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(nodeissupported05.class, args);
   }
}
