
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level2.core;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.w3c.dom.*;
import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
* 
    The method setPrefix raises a NAMESPACE_ERR if this node is an attribute and the qualifiedName 
    of this node is "xmlns

    Retreive an attribute node whose qualifiedName is xmlns.  Try setting a prefix on this node.
    Check if the NAMESPACE_ERR was thrown.

*
 *@freq weekly
*
 *@freq weekly
* @see <a href="http://www.w3.org/TR/DOM-Level-2-Core/core#ID-NodeNSPrefix">http://www.w3.org/TR/DOM-Level-2-Core/core#ID-NodeNSPrefix</a>
*/
public class nodesetprefix08 extends DOMTestCase {public nodesetprefix08(String name){super(name);	}public static Test suite() {	return new TestSuite(nodesetprefix08.class);	}

   /**
    * Constructor
    * @param factory document factory, may not be null
    */
   public nodesetprefix08(DOMTestDocumentBuilderFactory factory)  {
      super(factory);

   }

   /**
    * Test body
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void testRun() throws Throwable {
      Document doc;
      Element element;
      NodeList elementList;
      Attr attribute;
      doc = (Document) load("staffNS", true);
      elementList = doc.getElementsByTagName("employee");
      element = (Element) elementList.item(0);
      attribute = element.getAttributeNode("xmlns");
      
      {
         boolean success = false;
         try {
            attribute.setPrefix("xml");
          } catch (DOMException ex) {
            success = (ex.code == DOMException.NAMESPACE_ERR);
         }
         assertTrue("nodesetprefix08", success);
      }

   }
   /**
    *  Gets URI that identifies the test
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level2/core/nodesetprefix08";
   }
   /**
    * Runs individual test
    * @param args command line arguments
    */
   public static void main(String[] args) {
        DOMTestCase.doMain(nodesetprefix08.class, args);
   }
}
